#import <Cocoa/Cocoa.h>
@class BWFileList;
@class BWFileEntry;
@class BWScaledImageView;

@interface BWBorkSortController : NSObject
{
    		BWFileList		*files;
		NSString		*originalPathLabelValue;
		NSImage			*noImageImage;
    IBOutlet	BWScaledImageView	*imageView;
    IBOutlet	NSTableView		*fileList;
    IBOutlet	NSButton		*nukeButton;
    IBOutlet	NSButton		*keepButton;
    IBOutlet	NSTextField		*pathLabel;
    IBOutlet	NSTextField		*countLabel;
}

- (IBAction) nukeFile: (id) sender;
- (IBAction) keepFile: (id) sender;
- (IBAction) setScale: (id) sender;

- (IBAction) loadDirectory: (id) sender;

- (IBAction) showPreferences: (id) sender;

- (void) displayImage: (BWFileEntry *) file;
- (void) readDirectory: (NSString *) rootPath;

@end // BWBorkSortController

